﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Services;

namespace Services.Migrations
{
    [DbContext(typeof(Repository))]
    partial class RepositoryModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Entities.Commessa", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnName("Nome")
                        .HasMaxLength(20);

                    b.HasKey("Id");

                    b.ToTable("Commesse");
                });

            modelBuilder.Entity("Entities.PeriodoTemporale", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("CommessaId")
                        .HasColumnName("CommessaId");

                    b.Property<DateTime?>("DataFine")
                        .HasColumnName("DataFine");

                    b.Property<DateTime>("DataInizio")
                        .HasColumnName("DataInizio");

                    b.Property<DateTime>("Note")
                        .HasColumnName("Note");

                    b.Property<int>("UtenteId")
                        .HasColumnName("UtenteId");

                    b.HasKey("Id");

                    b.HasIndex("CommessaId");

                    b.HasIndex("UtenteId");

                    b.ToTable("PeriodiTemporali");
                });

            modelBuilder.Entity("Entities.Utente", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Cognome")
                        .IsRequired()
                        .HasColumnName("Cognome")
                        .HasMaxLength(50);

                    b.Property<string>("Matricola")
                        .HasColumnName("Matricola")
                        .HasMaxLength(10);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnName("Nome")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.ToTable("Utenti");
                });

            modelBuilder.Entity("Entities.PeriodoTemporale", b =>
                {
                    b.HasOne("Entities.Commessa", "Commessa")
                        .WithMany("PeriodiTemporali")
                        .HasForeignKey("CommessaId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Entities.Utente", "Utente")
                        .WithMany("PeriodiTemporali")
                        .HasForeignKey("UtenteId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
